Summary:        PGP encryption and signing for caja
Name:           seahorse-caja
License:        GPLv2+
Version:        1.18.5
Release:    1%{?dist}
URL:            https://github.com/darkshram/%{name}
Source0:        https://github.com/darkshram/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: make
BuildRequires: mate-common
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: desktop-file-utils
BuildRequires: pkgconfig(gcr-3)
BuildRequires: gnupg2
BuildRequires: gpgme-devel >= 1.0
BuildRequires: pkgconfig(libcaja-extension)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(cryptui-0.0)
BuildRequires: pkgconfig(libnotify)

%description
Seahorse caja is an extension for caja which allows encryption
and decryption of OpenPGP files using GnuPG.


%prep
%setup -q

%build
%configure \
    --disable-silent-rules \
    --disable-gpg-check

make %{?_smp_mflags} V=1


%install
%{make_install}

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
find %{buildroot} -type f -name "*.a" -exec rm -f {} ';'

desktop-file-validate %{buildroot}%{_datadir}/applications/mate-seahorse-pgp-encrypted.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-seahorse-pgp-keys.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-seahorse-pgp-signature.desktop

%find_lang %{name} --with-gnome --all-name


%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS
%{_bindir}/mate-seahorse-tool
%{_libdir}/caja/extensions-2.0/libcaja-seahorse.so
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.mate.seahorse.caja.*gschema.xml
%{_datadir}/seahorse-caja/
%{_mandir}/man1/mate-seahorse-tool.1*


%changelog
* Wed Sep 04 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.18.5-1
- initial build
